<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Accordion_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-accordion';
	}
	public function get_title() {
	  return 'Skolka Accordion';
	}
	public function get_icon() {
	  return 'eicon-accordion';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {

	  /*****   START CONTROLS SECTION   ******/
	  $this->start_controls_section( 'skolka_accordion', [
		'label' => esc_html__( 'Skolka Accordion', 'themezinho' ),
	  ] );







		 $this->add_control( 'accordion_items', [
		'type' => Controls_Manager::REPEATER,
		'seperator' => 'before',
		'deafult' => '',
		'fields' => [

		[
		  'name' => 'accordion_title',
		  'label' => esc_html__( 'Title', 'themezinho' ),
		  'type' => Controls_Manager::TEXT,
		  'default' => ''
		],


		[
		  'name' => 'accordion_content',
		  'label' => esc_html__( 'Content', 'themezinho' ),
		  'type' => Controls_Manager::WYSIWYG,
		  'default' => '',
		],






		]
	  ] );


	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/

	}
	protected function render() {
	  $settings = $this->get_settings_for_display();

		?>

	<div class="skolka-accordion">
		<?php
		foreach ( $settings[ 'accordion_items' ] as $index => $item  ) :
			$active_class = '';
		if ( $index === 0 ) {
			$active_class = ' active';
		}
			?>
			<div class="skolka-accordion-wrapper">
	<h3 class="accordion-toggle"><?php echo wp_kses_post($item['accordion_title']); ?> <span class="arrow <?php echo $active_class; ?>"></span></h3>
	<div class="accordion-content<?php echo $active_class; ?>">
		<?php echo wp_kses_post($item['accordion_content']); ?>
	</div>
	</div>
	  <?php endforeach; ?>
  </div>



<?php


	}
}
