<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Brand_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-brand';
	}
	public function get_title() {
	  return 'Brand';
	}
	public function get_icon() {
	  return 'eicon-image';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {

	  /*****   START CONTROLS SECTION   ******/
	  $this->start_controls_section( 'skolka_brand_section', [
		'label' => esc_html__( 'Brand', 'themezinho' ),
	  ] );




	  $this->add_control(
		'brand_logo',
		array(
		'label' => __( 'Brand Logo', 'themezinho' ),
		'type' => Controls_Manager::MEDIA,

	  )
	  );

	  $this->add_control(
		'brand_name',
		array(
		'label' => __( 'Brand Name', 'themezinho' ),
		'type' => Controls_Manager::TEXT,

	  )
	  );

	  $this->add_control(
		'link',
		array(
		'label' => __( 'Link', 'themezinho' ),
		'type' => Controls_Manager::TEXT,

	  )
	  );


	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/

	}
	protected function render() {
	  $settings = $this->get_settings_for_display();
		?>
<figure class="brand-box"><a href="<?php echo wp_kses( $settings['link'], array() ); ?>"><img src="<?php echo wp_kses( $settings['brand_logo']['url'], array() ); ?>" alt="<?php echo wp_kses( $settings['brand_name'], array() ); ?>">
</a></figure>
<?php


	}
}
