<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Brands_Grid_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-brand-grid';
	}
	public function get_title() {
	  return 'Brands Grid';
	}
	public function get_icon() {
	  return 'eicon-gallery-justified';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {

	  /*****   START CONTROLS SECTION   ******/
	  $this->start_controls_section( 'skolka_brands_grid_section', [
		'label' => esc_html__( 'Brands Grid', 'themezinho' ),
	  ] );


	  $this->add_control(
		'total_brands',
		array(
		'label' => esc_html__( 'Total Brands', 'themezinho' ),
		'type' => \Elementor\Controls_Manager::TEXT,
		'default' => '24',

	  )
	  );

	  $this->add_control(
		'columns',
		array(
		'label' => __( 'Grid Columns', 'themezinho' ),
		'type' => Controls_Manager::SELECT,
		'options' => [
		  '2' => esc_html__( '2', 'themezinho' ),
		  '3' => esc_html__( '3', 'themezinho' ),
		  '4' => esc_html__( '4', 'themezinho' ),
		  '5' => esc_html__( '5', 'themezinho' ),
		  '6' => esc_html__( '6', 'themezinho' ),
		  '7' => esc_html__( '7', 'themezinho' ),
		  '8' => esc_html__( '8', 'themezinho' )
		],
		'default' => '4'
	  )
	  );









	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/

	}
	protected function render() {
	  $settings = $this->get_settings_for_display();


		?>



		<?php
$args = array(
  'number'     => $settings['total_brands'],
  'orderby'    => 'count',
  'order'      => 'DESC',
  'hide_empty' => true,
);

$brands = get_terms( 'brand', $args );

?>

<div class="brands-grid" data-columns="<?php echo esc_attr($settings['columns']); ?>">
	<?php
$brands = get_terms( 'brand', array(
  'orderby' => 'name',
  'hide_empty' => true,
) );
$groups = array();
foreach ($brands as $brand) {
  $first_letter = strtoupper(substr($brand->name, 0, 1));
  if (!isset($groups[$first_letter])) {
    $groups[$first_letter] = array();
  }
  $groups[$first_letter][] = $brand;
}
if (!empty($groups)) {
  ksort($groups);
  foreach ($groups as $letter => $group) {
    ?>
    <p><?php echo $letter; ?></p>
    <ul>
      <?php foreach ($group as $brand) {
        $term_link = get_term_link($brand);
        $brand_logo_id = get_term_meta($brand->term_id, 'brand_logo', true);
        $brand_logo_url = wp_get_attachment_url($brand_logo_id);
        ?>
        <li>
          <a href="<?php echo esc_url( $term_link ); ?>">
            <?php if ( !empty($brand_logo_url) ) : ?>
              <img src="<?php echo esc_url( $brand_logo_url ); ?>" alt="<?php echo esc_attr( $brand->name ); ?>">
            <?php endif; ?>
          </a>
        </li>
      <?php } ?>
    </ul>
  <?php }
} else { ?>
  <h4><?php echo esc_html('No brands found'); ?></h4>
<?php } ?>



</div>




<?php


	}
}
