<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Button_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-button';
	}
	public function get_title() {
	  return 'Skolka Button';
	}
	public function get_icon() {
	  return 'eicon-button';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {

	  /*****   START CONTROLS SECTION   ******/
	  $this->start_controls_section( 'skolka_button_section', [
		'label' => esc_html__( 'Skolka Button', 'themezinho' ),
	  ] );




	  $this->add_control(
		'label',
		array(
		'label' => __( 'Button Label', 'themezinho' ),
		'type' => Controls_Manager::TEXT,
		'default' => __( 'Button', 'themezinho' ),
	  )
	  );


	  $this->add_control(
		'link',
		array(
		'label' => __( 'Link', 'themezinho' ),
		'type' => \Elementor\Controls_Manager::URL,
				'placeholder' => esc_html__( 'https://your-link.com', 'themezinho' ),
				'dynamic' => [
					'active' => false,
		],
	  )
	  );

	  $this->add_control(
		'button_arrow',
		array(
		'label' => esc_html__( 'Button Arrow ?', 'themezinho' ),
		'type' => Controls_Manager::SWITCHER,
		'no' => esc_html__( 'No', 'themezinho' ),
		'yes' => esc_html__( 'Yes', 'themezinho' ),
		'return_value' => 'yes',
		'default' => 'no',
	  )
	  );




	  $this->add_control(
		'hr0',
		[
			'type' => \Elementor\Controls_Manager::DIVIDER,
		]
	  );

	  $this->add_responsive_control(
		'button_align',
		[
			'label' => __( 'Button Alignment', 'themezinho' ),
			'type' => \Elementor\Controls_Manager::CHOOSE,
			'options' => [
				'left'    => [
					'title' => __( 'Left', 'themezinho' ),
					'icon' => 'eicon-text-align-left',
				],
				'center' => [
					'title' => __( 'Center', 'themezinho' ),
					'icon' => 'eicon-text-align-center',
				],
				'right' => [
					'title' => __( 'Right', 'themezinho' ),
					'icon' => 'eicon-text-align-right',
				],
			],
			'default' => 'left',
			'selectors' => [
				'{{WRAPPER}} .skolka-button' => 'text-align: {{VALUE}};'
			],
		]
	  );

	$this->add_control(
	  'border_radius',
	  [
		'label' => esc_html__( 'Border Radius', 'themezinho' ),
		'type' => \Elementor\Controls_Manager::SLIDER,
		'size_units' => [ 'px' ],
		'range' => [
		'px' => [
		  'min' => 0,
		  'max' => 48,
		  'step' => 1,
		],
		],
		'default' => [
		'unit' => 'px',
		'size' => 4,
		],
		'selectors' => [
		'{{WRAPPER}} .skolka-button a' => 'border-radius: {{SIZE}}{{UNIT}};',
		],
	  ]
	);

	$this->add_control(
	  'button_padding',
	  [
		'label' => esc_html__( 'Side Spacing', 'themezinho' ),
		'type' => \Elementor\Controls_Manager::SLIDER,
		'size_units' => [ 'px' ],
		'range' => [
		'px' => [
		  'min' => 8,
		  'max' => 50,
		  'step' => 1,
		],
		],
		'default' => [
		'unit' => 'px',
		'size' => 14,
		],
		'selectors' => [
		'{{WRAPPER}} .skolka-button a' => 'padding-left: {{SIZE}}{{UNIT}}; padding-right: {{SIZE}}{{UNIT}};',
		],
	  ]
	);

	$this->add_control(
		'hr1',
		[
		  'type' => \Elementor\Controls_Manager::DIVIDER,
		]
	);


	$this->add_control(
	  'color_bg',
	  array(
		'label' => __( 'Color BG', 'themezinho' ),
		'type' => Controls_Manager::COLOR,
		'selectors' => [
				'{{WRAPPER}} .skolka-button a' => 'background-color: {{VALUE}};'
			],
	  )
	);

	$this->add_control(
	  'color_text',
	  array(
		'label' => __( 'Color Text', 'themezinho' ),
		'type' => Controls_Manager::COLOR,
		'selectors' => [
				'{{WRAPPER}} .skolka-button a' => 'color: {{VALUE}};'
			],
	  )
	);

	$this->add_control(
	  'color_arrow',
	  array(
		'label' => __( 'Color Arrow', 'themezinho' ),
		'type' => Controls_Manager::COLOR,
		'condition' => ['button_arrow' => 'yes'],
		'selectors' => [
				'{{WRAPPER}} .skolka-button a svg path' => 'fill: {{VALUE}};'
			],
	  )
	);

	$this->add_control(
	  'color_border',
	  array(
		'label' => __( 'Color Border', 'themezinho' ),
		'type' => Controls_Manager::COLOR,
		'selectors' => [
				'{{WRAPPER}} .skolka-button a' => 'border-color: {{VALUE}};'
			],
	  )
	);

	$this->add_control(
		'hr2',
		[
		  'type' => \Elementor\Controls_Manager::DIVIDER,
		]
	);

	$this->add_control(
	  'color_bg_hover',
	  array(
		'label' => __( 'Color BG Hover', 'themezinho' ),
		'type' => Controls_Manager::COLOR,
		'selectors' => [
				'{{WRAPPER}} .skolka-button a:hover' => 'background-color: {{VALUE}};'
			],
	  )
	);

	$this->add_control(
	  'color_text_hover',
	  array(
		'label' => __( 'Color Text Hover', 'themezinho' ),
		'type' => Controls_Manager::COLOR,
		'selectors' => [
				'{{WRAPPER}} .skolka-button a:hover' => 'color: {{VALUE}};'
			],
	  )
	);
	$this->add_control(
	  'color_arrow_hover',
	  array(
		'label' => __( 'Color Arrow', 'themezinho' ),
		'type' => Controls_Manager::COLOR,
		'condition' => ['button_arrow' => 'yes'],
		'selectors' => [
				'{{WRAPPER}} .skolka-button a:hover svg path' => 'fill: {{VALUE}};'
			],
	  )
	);
	$this->add_control(
	  'color_border_hover',
	  array(
		'label' => __( 'Color Border', 'themezinho' ),
		'type' => Controls_Manager::COLOR,
		'selectors' => [
				'{{WRAPPER}} .skolka-button a:hover' => 'border-color: {{VALUE}};'
			],
	  )
	);



	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/

	}
	protected function render() {
	  $settings = $this->get_settings_for_display();

	  $target   = $settings['link']['is_external'] ? ' target="_blank"' : '';
	  $nofollow = $settings['link']['nofollow'] ? ' rel="nofollow"' : '';
		?>
	<div class="skolka-button">
		<a href="<?php echo esc_url( $settings['link']['url'], array() ); ?>" <?php echo esc_attr($target); ?> <?php echo esc_attr($nofollow); ?>>
		<?php echo wp_kses( $settings['label'], array() ); ?>
		<?php if ('yes' == $settings['button_arrow']) { ?>
		<svg width="23" height="8" viewBox="0 0 23 8" fill="none" xmlns="http://www.w3.org/2000/svg">
		<path d="M22.3536 3.64644C22.5488 3.84171 22.5488 4.15829 22.3536 4.35355L19.1716 7.53553C18.9763 7.73079 18.6597 7.73079 18.4645 7.53553C18.2692 7.34027 18.2692 7.02369 18.4645 6.82843L21.2929 4L18.4645 1.17157C18.2692 0.976309 18.2692 0.659727 18.4645 0.464464C18.6597 0.269202 18.9763 0.269202 19.1716 0.464464L22.3536 3.64644ZM-4.37114e-08 3.5L22 3.5L22 4.5L4.37114e-08 4.5L-4.37114e-08 3.5Z" fill="black"/>
		</svg>
	  <?php } ?>
		</a>
	</div>

<?php


	}
}
