<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Category_Banner_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-category-banner';
	}
	public function get_title() {
	  return 'Category Banner';
	}
	public function get_icon() {
	  return 'eicon-banner';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {

	  /*****   START CONTROLS SECTION   ******/
	  $this->start_controls_section( 'skolka_category_banner_section', [
		'label' => esc_html__( 'Category Banner', 'themezinho' ),
	  ] );




	  $this->add_control(
		'image',
		array(
		'label' => __( 'Image', 'themezinho' ),
		'type' => Controls_Manager::MEDIA,

	  )
	  );

	  $this->add_control(
		'title',
		array(
		'label' => __( 'Title', 'themezinho' ),
		'type' => Controls_Manager::TEXT,

	  )
	  );

	  $this->add_control(
		'link',
		array(
		'label' => __( 'Link', 'themezinho' ),
		'type' => \Elementor\Controls_Manager::URL,
				'placeholder' => esc_html__( 'https://your-link.com', 'themezinho' ),
				'dynamic' => [
					'active' => false,
		],
	  )
	  );

	  $this->add_control(
		'hr0',
		[
			'type' => \Elementor\Controls_Manager::DIVIDER,
		]
	  );

	  $this->add_control(
			'font_size',
			[
				'label' => esc_html__( 'Font Size', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px' ],
				'range' => [
					'px' => [
						'min' => 8,
						'max' => 60,
						'step' => 1,
					],
				],
		  'default' => [
					'unit' => 'px',
					'size' => 24,
				],
				'selectors' => [
					'{{WRAPPER}} .category-banner h6' => 'font-size: {{SIZE}}{{UNIT}};',
				],
			]
		);


	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/

	}
	protected function render() {
	  $settings = $this->get_settings_for_display();

	  $target   = $settings['link']['is_external'] ? ' target="_blank"' : '';
	  $nofollow = $settings['link']['nofollow'] ? ' rel="nofollow"' : '';
		?>
<figure class="category-banner"><a href="<?php echo wp_kses( $settings['link']['url'], array() ); ?>" <?php echo esc_attr($target); ?> <?php echo esc_attr($nofollow); ?>><img src="<?php echo wp_kses( $settings['image']['url'], array() ); ?>" alt="Image">
<h6><?php echo wp_kses( $settings['title'], array() ); ?></h6>
</a></figure>
<?php


	}
}
