<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Grouped_Product_Carousel_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-grouped-product-carousel';
	}
	public function get_title() {
	  return 'Grouped Product Carousel';
	}
	public function get_icon() {
	  return 'eicon-carousel';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {
	  $this->start_controls_section( 'skolka_grouped_product_carousel', [
		'label' => esc_html__( 'Grouped Product Carousel', 'themezinho' ),
	  ] );

	  $this->add_control(
		'carousel_autoplay',
		array(
		'label' => __( 'Carousel Autoplay', 'themezinho' ),
		'type' => Controls_Manager::SELECT,
		'options' => [
		  'false' => esc_html__( 'No', 'themezinho' ),
		  'true' => esc_html__( 'Yes', 'themezinho' )
		],
		'default' => 'false'
	  )
	  );

	  $this->add_control(
		'carousel_autoplay_delay',
		array(
		'condition' => [ 'carousel_autoplay!' => 'false' ],
		'label' => __( 'Autoplay Delay', 'themezinho' ),
		'type' => Controls_Manager::TEXT,
		'default' => __( '3000', 'themezinho' ),
	  )
	  );



	  $this->add_control(
		'carousel_loop',
		array(
		'label' => esc_html__( 'Carousel Loop', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'false' => esc_html__( 'No', 'themezinho' ),
				'true' => esc_html__( 'Yes', 'themezinho' ),
				'return_value' => 'yes',
				'default' => 'false',

	  )
	  );
	  $this->add_control(
		'drag_drop',
		array(
		'label' => esc_html__( 'Carousel Drag/Drop', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
		'no' => esc_html__( 'No', 'themezinho' ),
				'yes' => esc_html__( 'Yes', 'themezinho' ),
				'return_value' => 'yes',
				'default' => 'no'
	  )
	  );

	  $this->add_control(
		'display_controls',
		array(
		'label' => esc_html__( 'Display Controls', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::SELECT,
		'options' => [
		  'yes' => esc_html__( 'Yes', 'themezinho' ),
		  'no' => esc_html__( 'No', 'themezinho' )
		],
		'default' => 'yes'

	  )
	  );

	  $this->add_control(
		'arrows',
		array(
		'label' => esc_html__( 'Display Arrows', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'yes' => esc_html__( 'Yes', 'themezinho' ),
				'no' => esc_html__( 'No', 'themezinho' ),
				'return_value' => 'yes',
				'default' => 'yes',
		'condition' => ['display_controls' => 'yes']

	  )
	  );

	  $this->add_control(
		'pagination',
		array(
		'label' => esc_html__( 'Display Pagination', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::SWITCHER,
				'yes' => esc_html__( 'Yes', 'themezinho' ),
				'no' => esc_html__( 'No', 'themezinho' ),
				'return_value' => 'yes',
				'default' => 'yes',
		'condition' => ['display_controls' => 'yes']
	  )
	  );



	  $this->add_control(
		'hr0',
		[
			'type' => \Elementor\Controls_Manager::DIVIDER,
		]
	  );
	  $this->add_control(
		'carousel_columns',
		array(
		'label' => __( 'Carousel Columns', 'themezinho' ),
		'type' => Controls_Manager::SELECT,
		'options' => [
		  '2' => esc_html__( '2', 'themezinho' ),
		  '3' => esc_html__( '3', 'themezinho' ),
		  '4' => esc_html__( '4', 'themezinho' ),
		  '5' => esc_html__( '5', 'themezinho' ),
		  '6' => esc_html__( '6', 'themezinho' )
		],
		'default' => '4'
	  )
	  );


	  $this->add_control(
		'limit',
		array(
		'label' => __( 'Product Limit', 'themezinho' ),
		'type' => Controls_Manager::TEXT,
		'default' => __( '4', 'themezinho' ),
	  )
	  );
	  $this->add_control(
		'hr1',
		[
			'type' => \Elementor\Controls_Manager::DIVIDER,
		]
	  );
	  $this->add_control(
		'display_attributes',
		array(
		'label' => __( 'Display Attributes', 'themezinho' ),
		'type' => Controls_Manager::SELECT,
		'options' => [
		  '1' => esc_html__( 'Recent', 'themezinho' ),
		  '2' => esc_html__( 'On Sale', 'themezinho' ),
		  '3' => esc_html__( 'Best Selling', 'themezinho' ),
		  '4' => esc_html__( 'Top Rated', 'themezinho' ),
		  '5' => esc_html__( 'Featured', 'themezinho' ),
		],
		'default' => '1'
	  )
	  );

	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/


	}
	protected function render() {
	  $settings = $this->get_settings_for_display();


		?>

	<div class="woocommerce-product-list-carousel">
	<div class="swiper-carousel woocommerce" data-column="<?php echo esc_attr($settings['carousel_columns']); ?>" data-loop="<?php echo esc_attr($settings['carousel_loop']); ?>" data-drag="
																	 <?php
																		if ('yes' === $settings['drag_drop']) {
																			?>
		true
																			<?php
																		} else {
																			?>
		 false <?php } ?>">

	<div class="swiper">

	<div class="swiper-wrapper">
	  <?php
		if ( '1' === $settings['display_attributes'] ) {
			$args = array(
			'post_type' => 'product',
			'posts_per_page' => $settings['limit'],
			'orderby' =>'date',
			'order' => 'DESC',
			'tax_query' => array(
				array(
					'taxonomy' => 'product_type',
					'field' => 'slug',
					'terms' => 'grouped',
				)
			)
			);
		}
		?>
		<?php
		if ( '2' === $settings['display_attributes'] ) {
		  $args = array(
			'post_type' => 'product',
			'posts_per_page' => $settings['limit'],
			'meta_query'     => array(
			'relation' => 'OR',
			  array(
				  'key'           => '_sale_price',
				  'value'         => 0,
				  'compare'       => '>',
			  ),
			),
		  'tax_query' => array(
			  array(
				  'taxonomy' => 'product_type',
				  'field' => 'slug',
				  'terms' => 'grouped',
				  'operator' => 'NOT IN'
			  )
		  )
		  );
		}
		?>
		<?php
		if ( '3' === $settings['display_attributes'] ) {
		  $args = array(
			'post_type' => 'product',
			'posts_per_page' => $settings['limit'],
			'meta_key'       => 'total_sales',
			'order'          => 'DESC',
			'orderby'        => 'meta_value_num',
			'tax_query' => array(
			  array(
				  'taxonomy' => 'product_type',
				  'field' => 'slug',
				  'terms' => 'grouped',
				  'operator' => 'NOT IN'
			  )
		  )
		  );
		}
		?>
		<?php
		if ( '4' === $settings['display_attributes'] ) {
		  $args = array(
			'post_type' => 'product',
			'posts_per_page' => $settings['limit'],
			'meta_key' => '_wc_average_rating',
			'orderby' => 'meta_value_num',
			'tax_query' => array(
			  array(
				  'taxonomy' => 'product_type',
				  'field' => 'slug',
				  'terms' => 'grouped',
				  'operator' => 'NOT IN'
			  )
		  )
		  );
		}
		?>
		<?php
		if ( '5' === $settings['display_attributes'] ) {
		  $args = array(
			'post_type' => 'product',
			'posts_per_page' => $settings['limit'],
			'meta_query'     => array(
			  array(
				  'key'           => 'featured_product',
				  'value'         => 1,
				  'compare'       => '=',
			  )
		  ),
		  'tax_query' => array(
			  array(
				  'taxonomy' => 'product_type',
				  'field' => 'slug',
				  'terms' => 'grouped',
				  'operator' => 'NOT IN'
			  )
		  )
		  );
		}
		?>
		<?php
		$loop = new \WP_Query( $args );
		if ( $loop->have_posts() ) {
			while ( $loop->have_posts() ) :
$loop->the_post();
				?>
		  <div class="swiper-slide">
			<ul class="products">
				<?php wc_get_template_part( 'content', 'product' ); ?>
			  </ul>
		  </div>
			<?php
		  endwhile;
		} else {
			echo esc_html__( 'No products found' );
		}
		  wp_reset_postdata();
		?>
	</div>
	<!-- end swiper-wrapper -->
	  <?php if ('yes' === $settings['display_controls']) { ?>
	  <?php if ('yes' === $settings['arrows']) { ?>
		<div class="slider-button-prev">
		  <svg width="24" height="24" viewBox="0 0 24 24" fill="#ffffff">
			<path d="M14.7105 17.2998C14.3205 17.6898 13.6905 17.6898 13.3005 17.2998L8.71047 12.7098C8.32047 12.3198 8.32047 11.6898 8.71047 11.2998L13.3005 6.70979C13.6905 6.31979 14.3205 6.31979 14.7105 6.70979C15.1005 7.09979 15.1005 7.72978 14.7105 8.11979L10.8305 12.0098L14.7105 15.8898C15.1005 16.2798 15.0905 16.9198 14.7105 17.2998Z"></path>
		  </svg>
		</div>
		  <?php } ?>
		  <?php if ('yes' === $settings['arrows']) { ?>
		<div class="slider-button-next">
		  <svg width="24" height="24" viewBox="0 0 24 24" fill="#ffffff" >
			<path d="M8.70995 6.70998C9.09995 6.31998 9.72995 6.31998 10.1199 6.70998L14.7099 11.3C15.0999 11.69 15.0999 12.32 14.7099 12.71L10.1199 17.3C9.72995 17.69 9.09995 17.69 8.70995 17.3C8.31995 16.91 8.31995 16.28 8.70995 15.89L12.5899 12L8.70995 8.11998C8.31995 7.72998 8.32995 7.08998 8.70995 6.70998Z"></path>
		  </svg></div>
		  <?php } ?>
	<?php } ?>

  </div>
	<?php if ('yes' === $settings['pagination']) { ?>
  <div class="swiper-pagination"></div>
  <?php } ?>

	</div>
  </div>

	<?php


	}
}
