<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Grouped_Product_Grid_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-grouped-product-grid';
	}
	public function get_title() {
	  return 'Grouped Product Grid';
	}
	public function get_icon() {
	  return 'eicon-gallery-justified';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {
	  $this->start_controls_section( 'skolka_grouped_product_grid', [
		'label' => esc_html__( 'Grouped Product Grid', 'themezinho' ),
	  ] );

		$this->add_control(
		'columns',
		array(
		'label' => __( 'Grid Columns', 'themezinho' ),
		'type' => Controls_Manager::SELECT,
		'options' => [
		  '2' => esc_html__( '2', 'themezinho' ),
		  '3' => esc_html__( '3', 'themezinho' ),
		  '4' => esc_html__( '4', 'themezinho' ),
		  '5' => esc_html__( '5', 'themezinho' ),
		  '6' => esc_html__( '6', 'themezinho' )
		],
		'default' => '4'
	  )
	  );


	  $this->add_control(
		'limit',
		array(
		'label' => __( 'Product Limit', 'themezinho' ),
		'type' => Controls_Manager::TEXT,
		'default' => __( '4', 'themezinho' ),
	  )
	  );


	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/


	}
	protected function render() {
	  $settings = $this->get_settings_for_display();


		?>

		<div class="woocommerce columns-<?php echo esc_attr( $settings['columns'], array() ); ?>">
		<ul class="products columns-<?php echo esc_attr( $settings['columns'], array() ); ?>">


		<?php

		$args = array(
		'post_type' => 'product',
		'posts_per_page' => $settings['limit'],
		'orderby' =>'date',
		'order' => 'DESC',
		'tax_query' => array(
			array(
				'taxonomy' => 'product_type',
				'field' => 'slug',
				'terms' => 'grouped',
			)
		)
		);


			$loop = new \WP_Query( $args );
		if ( $loop->have_posts() ) {
			while ( $loop->have_posts() ) :
$loop->the_post();
				wc_get_template_part( 'content', 'product' );
				endwhile;
		} else {
			echo esc_html__( 'No products found' );
		}
			wp_reset_postdata();
		?>
	</ul>
	<!-- end products -->
	</div>
	<!-- end woocommerce -->

	<?php


	}
}
