<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Image_Banner_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-image-banner';
	}
	public function get_title() {
	  return 'Image Banner';
	}
	public function get_icon() {
	  return 'eicon-banner';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {

	  /*****   START CONTROLS SECTION   ******/
	  $this->start_controls_section( 'skolka_image_banner_section', [
		'label' => esc_html__( 'Image Banner', 'themezinho' ),
	  ] );




	  $this->add_control(
		'image',
		array(
		'label' => __( 'Banner Image', 'themezinho' ),
		'type' => Controls_Manager::MEDIA,

	  )
	  );


	  $this->add_control(
		'link',
		array(
		'label' => __( 'Link', 'themezinho' ),
		'type' => Controls_Manager::TEXT,

	  )
	  );


	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/

	}
	protected function render() {
	  $settings = $this->get_settings_for_display();
		?>
<figure class="image-banner">
  <a href="<?php echo wp_kses( $settings['link'], array() ); ?>"><img src="<?php echo wp_kses( $settings['image']['url'], array() ); ?>" alt="Image"></a>
</figure>
<?php


	}
}
