<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Image_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-image';
	}
	public function get_title() {
	  return 'Skolka Image';
	}
	public function get_icon() {
	  return 'eicon-image-rollover';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {

	  /*****   START CONTROLS SECTION   ******/
	  $this->start_controls_section( 'skolka_image_section', [
		'label' => esc_html__( 'Skolka Image', 'themezinho' ),
	  ] );




	  $this->add_control(
		'image',
		array(
		'label' => __( 'Image', 'themezinho' ),
		'type' => Controls_Manager::MEDIA,

	  )
	  );

	  $this->add_control(
		'width',
		array(
		'label' => __( 'Image Width', 'themezinho' ),
		'type' => Controls_Manager::TEXT,
		'selectors' => [
				'{{WRAPPER}} .skolka-image img' => 'width: {{VALUE}};'
			],
	  )
	  );

	  $this->add_control(
		'height',
		array(
		'label' => __( 'Image Height', 'themezinho' ),
		'type' => Controls_Manager::TEXT,
		'selectors' => [
				'{{WRAPPER}} .skolka-image img' => 'height: {{VALUE}};'
			],
	  )
	  );

	  $this->add_responsive_control(
		'image_align',
		[
			'label' => __( 'Image Alignment', 'your-plugin-textdomain' ),
			'type' => \Elementor\Controls_Manager::CHOOSE,
			'options' => [
				'left'    => [
					'title' => __( 'Left', 'themezinho' ),
					'icon' => 'eicon-text-align-left',
				],
				'center' => [
					'title' => __( 'Center', 'themezinho' ),
					'icon' => 'eicon-text-align-center',
				],
				'right' => [
					'title' => __( 'Right', 'themezinho' ),
					'icon' => 'eicon-text-align-right',
				],
			],
			'default' => 'left',
			'selectors' => [
				'{{WRAPPER}} .skolka-image' => 'text-align: {{VALUE}};'
			],
		]
	  );




	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/

	}
	protected function render() {
	  $settings = $this->get_settings_for_display();

		?>
<figure class="skolka-image"><img src="<?php echo wp_kses( $settings['image']['url'], array() ); ?>" alt="Image"></figure>
<?php


	}
}
