<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Product_List_Grid_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-product-list-grid';
	}
	public function get_title() {
	  return 'Product List Grid';
	}
	public function get_icon() {
	  return 'eicon-gallery-justified';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {
	  $this->start_controls_section( 'skolka_product_list_grid', [
		'label' => esc_html__( 'Product List Grid', 'themezinho' ),
	  ] );


	  $this->add_control(
		'columns',
		array(
		'label' => __( 'Grid Columns', 'themezinho' ),
		'type' => Controls_Manager::SELECT,
		'options' => [
		  '2' => esc_html__( '2', 'themezinho' ),
		  '3' => esc_html__( '3', 'themezinho' ),
		  '4' => esc_html__( '4', 'themezinho' ),
		  '5' => esc_html__( '5', 'themezinho' ),
		  '6' => esc_html__( '6', 'themezinho' )
		],
		'default' => '4'
	  )
	  );


	  $this->add_control(
		'limit',
		array(
		'label' => __( 'Product Limit', 'themezinho' ),
		'type' => Controls_Manager::TEXT,
		'default' => __( '4', 'themezinho' ),
	  )
	  );

	  $this->add_control(
		'display_attributes',
		array(
		'label' => __( 'Display Attributes', 'themezinho' ),
		'type' => Controls_Manager::SELECT,
		'options' => [
		  '1' => esc_html__( 'Recent', 'themezinho' ),
		  '2' => esc_html__( 'On Sale', 'themezinho' ),
		  '3' => esc_html__( 'Best Selling', 'themezinho' ),
		  '4' => esc_html__( 'Top Rated', 'themezinho' ),
		  '5' => esc_html__( 'Featured', 'themezinho' ),
			'6' => esc_html__( 'Category', 'themezinho' ),
		],
		'default' => '1'
	  )
	  );

		$this->add_control(
      'category',
      array(
        'condition' => [ 'display_attributes' => '6' ],
        'label' => __( 'Category', 'themezinho' ),
        'type' => Controls_Manager::TEXT,
      )
    );


    $this->add_control(
      'gender',
      array(
        'label' => __( 'Gender', 'themezinho' ),
        'type' => Controls_Manager::TEXT,
      )
    );

	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/


	}
	protected function render() {
	  $settings = $this->get_settings_for_display();
		?>
	<div class="woocommerce columns-<?php echo esc_attr( $settings['columns'], array() ); ?>">
	<ul class="products columns-<?php echo esc_attr( $settings['columns'], array() ); ?>">

	  <?php
		if ( '1' === $settings['display_attributes'] ) {
		  $args = array(
			'post_type' => 'product',
			'posts_per_page' => $settings['limit'],
			'orderby' =>'date',
			'order' => 'DESC',
			'tax_query' => array(
			  array(
				  'taxonomy' => 'product_type',
				  'field' => 'slug',
				  'terms' => 'grouped',
				  'operator' => 'NOT IN'
			  )
		  )
		  );

			if ( isset( $settings['gender'] ) && !empty( $settings['gender'] ) ) {
					$args['tax_query'][] = array(
							'taxonomy' => 'gender',
							'field' => 'slug',
							'terms' => $settings['gender'],
					);
			}
		}
		?>
		<?php
		if ( '2' === $settings['display_attributes'] ) {
		  $args = array(
			'post_type' => 'product',
			'posts_per_page' => $settings['limit'],
			'meta_query'     => array(
			'relation' => 'OR',
			  array(
				  'key'           => '_sale_price',
				  'value'         => 0,
				  'compare'       => '>',
			  ),
			),
		  'tax_query' => array(
			  array(
				  'taxonomy' => 'product_type',
				  'field' => 'slug',
				  'terms' => 'grouped',
				  'operator' => 'NOT IN'
			  )
		  )
		  );

			if ( isset( $settings['gender'] ) && !empty( $settings['gender'] ) ) {
					$args['tax_query'][] = array(
							'taxonomy' => 'gender',
							'field' => 'slug',
							'terms' => $settings['gender'],
					);
			}

		}
		?>
		<?php
		if ( '3' === $settings['display_attributes'] ) {
		  $args = array(
			'post_type' => 'product',
			'posts_per_page' => $settings['limit'],
			'meta_key'       => 'total_sales',
			'order'          => 'DESC',
			'orderby'        => 'meta_value_num',
			'tax_query' => array(
			  array(
				  'taxonomy' => 'product_type',
				  'field' => 'slug',
				  'terms' => 'grouped',
				  'operator' => 'NOT IN'
			  )
		  )
		  );

			if ( isset( $settings['gender'] ) && !empty( $settings['gender'] ) ) {
					$args['tax_query'][] = array(
							'taxonomy' => 'gender',
							'field' => 'slug',
							'terms' => $settings['gender'],
					);
			}

		}
		?>
		<?php
		if ( '4' === $settings['display_attributes'] ) {
		  $args = array(
			'post_type' => 'product',
			'posts_per_page' => $settings['limit'],
			'meta_key' => '_wc_average_rating',
			'orderby' => 'meta_value_num',
			'tax_query' => array(
			  array(
				  'taxonomy' => 'product_type',
				  'field' => 'slug',
				  'terms' => 'grouped',
				  'operator' => 'NOT IN'
			  )
		  )
		  );

			if ( isset( $settings['gender'] ) && !empty( $settings['gender'] ) ) {
					$args['tax_query'][] = array(
							'taxonomy' => 'gender',
							'field' => 'slug',
							'terms' => $settings['gender'],
					);
			}

		}
		?>
		<?php
		if ( '5' === $settings['display_attributes'] ) {
		  $args = array(
			'post_type' => 'product',
			'posts_per_page' => $settings['limit'],
			'meta_query'     => array(
			  array(
				  'key'           => 'featured_product',
				  'value'         => 1,
				  'compare'       => '=',
			  )
		  ),
		  'tax_query' => array(
			  array(
				  'taxonomy' => 'product_type',
				  'field' => 'slug',
				  'terms' => 'grouped',
				  'operator' => 'NOT IN'
			  )
		  )
		  );

			if ( isset( $settings['gender'] ) && !empty( $settings['gender'] ) ) {
					$args['tax_query'][] = array(
							'taxonomy' => 'gender',
							'field' => 'slug',
							'terms' => $settings['gender'],
					);
			}

		}
		?>

		<?php if ( '6' === $settings['display_attributes'] ) {
			$args = array(
				'post_type' => 'product',
				'posts_per_page' => $settings['limit'],
				'orderby' =>'date',
				'order' => 'DESC',
				'tax_query' => array(
						'relation' => 'AND',
						array(
								'taxonomy' => 'product_type',
								'field' => 'slug',
								'terms' => 'grouped',
								'operator' => 'NOT IN'
						)
				)
			);

			if ( isset( $settings['category'] ) && !empty( $settings['category'] ) ) {
					$args['tax_query'][] = array(
							'taxonomy' => 'product_cat',
							'field' => 'slug',
							'terms' => $settings['category'],
					);
			}

			if ( isset( $settings['gender'] ) && !empty( $settings['gender'] ) ) {
					$args['tax_query'][] = array(
							'taxonomy' => 'gender',
							'field' => 'slug',
							'terms' => $settings['gender'],
					);
			}
		} ?>

		<?php
			$loop = new \WP_Query( $args );
		if ( $loop->have_posts() ) {
			while ( $loop->have_posts() ) :
$loop->the_post();
				wc_get_template_part( 'content', 'product' );
				endwhile;
		} else {
			echo esc_html__( 'No products found' );
		}
			wp_reset_postdata();
		?>
	</ul>
	<!-- end products -->
	</div>
	<!-- end woocommerce -->


<?php


	}
}
