<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Recent_Posts_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-recent-posts';
	}
	public function get_title() {
	  return 'Recent Posts';
	}
	public function get_icon() {
	  return 'eicon-posts-group';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {
	  $this->start_controls_section( 'skolka_recent_posts', [
		'label' => esc_html__( 'Recent Posts', 'themezinho' ),
	  ] );


	  $this->add_control(
		'total_count',
		array(
		'label' => __( 'Total', 'themezinho' ),
		'type' => Controls_Manager::SELECT,
		'options' => [
		  '2' => esc_html__( '2', 'themezinho' ),
		  '3' => esc_html__( '3', 'themezinho' ),
		  '4' => esc_html__( '4', 'themezinho' ),
		  '5' => esc_html__( '5', 'themezinho' ),
		  '6' => esc_html__( '6', 'themezinho' )
		],
		'default' => '3'

	  )
	  );

	  $this->add_control(
		'readmore_label',
		array(
		'label' => __( 'Read More Label', 'themezinho' ),
		'type' => Controls_Manager::TEXT,
		'default' => 'Read More'
	  )
	  );


	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/


	}
	protected function render() {
	  $settings = $this->get_settings_for_display();

	  $recent_posts = array(
		'post_status' => 'publish',
		'posts_per_page' => $settings[ 'total_count' ],
		'paged' => get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1

	  );

		?>

	<div class="recent-posts" data-columns="<?php echo esc_attr($settings['total_count']); ?>">
	  <?php
		$the_query = new\ WP_Query( $recent_posts );
		if ( $the_query->have_posts() ) {
			while ( $the_query->have_posts() ) {
			  $the_query->the_post();
			  $thumbnail_image = get_the_post_thumbnail_url();
			  $title           = get_the_title();
				$link          = get_permalink();
				?>
		<div class="post">
		  <figure>
				<?php the_post_thumbnail(); ?>
		  </figure>
		  <small><?php echo get_the_date(); ?></small>
			<h3><?php echo wp_kses_post( $title ); ?></h3>
			<a href="<?php echo esc_url($link); ?>"><?php echo esc_html( $settings['readmore_label'], array() ); ?></a>
		</div>
		  <?php } } ?>
	</div>
<?php


	}
}
