<?php

namespace Elementor;

if ( !defined( 'ABSPATH' ) ) {
exit;
}

class Skolka_Text_Editor_Widget extends Widget_Base {
	public function get_name() {
	  return 'skolka-text-editor';
	}
	public function get_title() {
	  return 'Skolka Text Editor';
	}
	public function get_icon() {
	  return 'eicon-text-area';
	}
	public function get_categories() {
	  return [ 'themezinho' ];
	}

  // Registering Controls
	protected function register_controls() {
	  $this->start_controls_section( 'skolka_text_editor', [
		'label' => esc_html__( 'Text Editor', 'themezinho' ),
	  ] );


	  $this->add_control(
		'content',
		array(
		'label' => __( 'Content', 'themezinho' ),
		'type' => Controls_Manager::WYSIWYG,
		'default' => __( 'Content', 'themezinho' ),
	  )
	  );

	  $this->add_control(
		'color',
		array(
		'label' => __( 'Color', 'themezinho' ),
		'type' => Controls_Manager::COLOR,
		'selectors' => [
				'{{WRAPPER}} .text-editor' => 'color: {{VALUE}};'
			],
	  )
	  );

	  $this->add_control(
			'font_size',
			[
				'label' => esc_html__( 'Font Size', 'themezinho' ),
				'type' => \Elementor\Controls_Manager::SLIDER,
				'size_units' => [ 'px' ],
				'range' => [
					'px' => [
						'min' => 8,
						'max' => 50,
						'step' => 1,
					],
				],
		  'default' => [
					'unit' => 'px',
					'size' => 14,
				],
				'selectors' => [
					'{{WRAPPER}} .text-editor' => 'font-size: {{SIZE}}{{UNIT}};',
				],
			]
		);

	  $this->end_controls_section();
	  /*****   END CONTROLS SECTION   ******/


	}
	protected function render() {
	  $settings = $this->get_settings_for_display();
		?>

	<div class="text-editor">
	  <?php echo wp_kses_post( $settings['content'], array() ); ?>
	</div>
	<!-- end section-title -->

<?php


	}
}
