<?php
if ( function_exists( 'acf_add_options_page' ) ) :

  acf_add_options_page( array(
	'page_title' => 'Theme Options',
	'menu_title' => 'Theme Options',
	'menu_slug' => 'theme-options',
	'capability' => 'edit_posts',
	'redirect' => false
  ) );
endif;

if ( function_exists( 'acf_add_local_field_group' ) ) :

  acf_add_local_field_group( array(
	'key' => 'group_5beaaf2c1a9ee',
	'title' => 'Page Options',
	'fields' => array(
    array(
      'key' => 'field_5bfcad471aq85',
      'label' => 'Show Page Header',
      'name' => 'show_page_header',
      'type' => 'true_false',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
      'width' => '',
      'class' => '',
      'id' => '',
      ),
      'message' => '',
      'default_value' => 0,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),




	),
	'location' => array(
	  array(
		array(
		  'param' => 'post_type',
		  'operator' => '==',
		  'value' => 'page',
		),
	  ),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'left',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
  ) );


acf_add_local_field_group( array(
  'key' => 'group_5be9162965791',
  'title' => 'Extra Features',
  'fields' => array(
	array(
	  'key' => 'field_5bqac6bb42353',
	  'label' => 'Featured Product',
	  'name' => 'featured_product',
	  'type' => 'true_false',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 0,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),

	array(
	  'key' => 'field_5bqac6bb74964',
	  'label' => 'Outlet Product',
	  'name' => 'outlet_product',
	  'type' => 'true_false',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 0,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),

	array(
	  'key' => 'field_2bf530cc616aq',
	  'label' => 'Product Video',
	  'name' => 'product_video',
	  'type' => 'select',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'choices' => array(
		'no' => 'No Product Video',
		'embed' => 'Youtube / Embed Video',
		'upload' => 'Upload Video',
	  ),
	  'default_value' => array(
		0 => 'no',
	  ),
	  'allow_null' => 0,
	  'multiple' => 0,
	  'ui' => 0,
	  'return_format' => 'value',
	  'ajax' => 0,
	  'placeholder' => '',
	),
	array(
	  'key' => 'field_2c49efd5e0a85',
	  'label' => 'Youtube / Embed Video',
	  'name' => 'embed',
	  'type' => 'text',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => array(
		array(
		  array(
			'field' => 'field_2bf530cc616aq',
			'operator' => '==',
			'value' => 'embed',
		  ),
		),
	  ),
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => '',
	  'placeholder' => '',
	  'maxlength' => '',
	  'rows' => '',
	  'new_lines' => '',
	),
		array(
			'key' => 'field_4c7499111f55a',
			'label' => 'Upload Product Video',
			'name' => 'upload',
			'type' => 'file',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_2bf530cc616aq',
						'operator' => '==',
						'value' => 'upload',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'url',
			'library' => 'all',
			'min_size' => '',
			'max_size' => '',
			'mime_types' => '',
		),

	array(
	  'key' => 'field_5c5e5b80a387c',
	  'label' => 'Custom Badge',
	  'name' => 'custom_badge',
	  'type' => 'true_false',
	  'instructions' => 'Adding next to SALE badge text or image',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 0,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),
	array(
	  'key' => 'field_1c39efd5e0a20',
	  'label' => 'Badge Label',
	  'name' => 'badge_label',
	  'type' => 'text',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => array(
		array(
		  array(
			'field' => 'field_5c5e5b80a387c',
			'operator' => '==',
			'value' => '1',
		  ),
		),
	  ),
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => '',
	  'placeholder' => '',
	  'maxlength' => '',
	  'rows' => '',
	  'new_lines' => '',
	),
	array(
	  'key' => 'field_1c39f05780304',
	  'label' => 'Badge Icon',
	  'name' => 'badge_icon',
	  'type' => 'image',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => array(
		array(
		  array(
			'field' => 'field_5c5e5b80a387c',
			'operator' => '==',
			'value' => '1',
		  ),
		),
	  ),
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'return_format' => 'url',
	  'preview_size' => 'thumbnail',
	  'library' => 'all',
	  'min_width' => '',
	  'min_height' => '',
	  'min_size' => '',
	  'max_width' => '',
	  'max_height' => '',
	  'max_size' => '',
	  'mime_types' => '',
	),

	array(
	  'key' => 'field_1c2e5b80a387c',
	  'label' => 'Display Size Guide',
	  'name' => 'display_size_guide',
	  'type' => 'true_false',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 0,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),
	array(
	  'key' => 'field_1c29efd5e0b86',
	  'label' => 'Size Guide Label',
	  'name' => 'size_guide_label',
	  'type' => 'text',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => array(
		array(
		  array(
			'field' => 'field_1c2e5b80a387c',
			'operator' => '==',
			'value' => '1',
		  ),
		),
	  ),
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => 'Size Guide',
	  'placeholder' => '',
	  'maxlength' => '',
	  'rows' => '',
	  'new_lines' => '',
	),
	array(
	  'key' => 'field_1c89f45780304',
	  'label' => 'Size Guide File',
	  'name' => 'size_guide_file',
	  'type' => 'file',
	  'instructions' => 'You can upload JPG, PNG or PDF',
	  'required' => 0,
	  'conditional_logic' => array(
		array(
		  array(
			'field' => 'field_1c2e5b80a387c',
			'operator' => '==',
			'value' => '1',
		  ),
		),
	  ),
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'return_format' => 'url',
	  'preview_size' => 'thumbnail',
	  'library' => 'all',
	  'min_width' => '',
	  'min_height' => '',
	  'min_size' => '',
	  'max_width' => '',
	  'max_height' => '',
	  'max_size' => '',
	  'mime_types' => '',
	),

	array(
	  'key' => 'field_1c5e5b80a387c',
	  'label' => 'Product Benefits',
	  'name' => 'product_benefits',
	  'type' => 'true_false',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 0,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),
	array(
		'key' => 'field_5zdabeda76858',
		'label' => 'Add Benefit',
		'name' => 'add_benefit',
		'type' => 'repeater',
		'instructions' => '',
		'required' => 0,
		'conditional_logic' => array(
		  array(
			array(
			  'field' => 'field_1c5e5b80a387c',
			  'operator' => '==',
			  'value' => '1',
			),
		  ),
		),
		'wrapper' => array(
			'width' => '',
			'class' => '',
			'id' => '',
		),
		'collapsed' => 'field_5bdabf41a6221',
		'min' => 0,
		'max' => 0,
		'layout' => 'row',
		'button_label' => 'Add',
		'sub_fields' => array(
		  array(
					'key' => 'field_5bdabf41a6221',
					'label' => 'Benefit Icon',
					'name' => 'benefit_icon',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
					  'width' => '',
					  'class' => '',
					  'id' => '',
					),
					'return_format' => 'url',
					'preview_size' => 'thumbnail',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
			array(
				'key' => 'field_5bdabef576851',
				'label' => 'Benefit Content',
				'name' => 'benefit_content',
				'type' => 'wysiwyg',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'tabs' => 'all',
				'toolbar' => 'full',
				'media_upload' => 0,
				'delay' => 0,
			),
		),
	),




	array(
	  'key' => 'field_1c2q3b80a387c',
	  'label' => 'Accordion Content',
	  'name' => 'accordion_content',
	  'type' => 'true_false',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 0,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),
	array(
		'key' => 'field_5zdabada76827',
		'label' => 'Add Content',
		'name' => 'add_content',
		'type' => 'repeater',
		'instructions' => '',
		'required' => 0,
		'conditional_logic' => array(
		  array(
			array(
			  'field' => 'field_1c2q3b80a387c',
			  'operator' => '==',
			  'value' => '1',
			),
		  ),
		),
		'wrapper' => array(
			'width' => '',
			'class' => '',
			'id' => '',
		),
		'collapsed' => 'field_5bdabf41a6221',
		'min' => 0,
		'max' => 0,
		'layout' => 'row',
		'button_label' => 'Add',
		'sub_fields' => array(
		  array(
			'key' => 'field_1c89fs5780314',
			'label' => 'Title',
			'name' => 'title',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
			  'width' => '',
			  'class' => '',
			  'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		  ),
				array(
					'key' => 'field_2c87bc4abf99c',
					'label' => 'Content',
					'name' => 'content',
					'type' => 'wysiwyg',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'tabs' => 'all',
					'toolbar' => 'full',
					'media_upload' => 0,
					'delay' => 0,
				),

		),
	),




  ),
  'location' => array(
	array(
	  array(
		'param' => 'post_type',
		'operator' => '==',
		'value' => 'product',
	  ),
	),
  ),
  'menu_order' => 0,
  'position' => 'normal',
  'style' => 'default',
  'label_placement' => 'left',
  'instruction_placement' => 'label',
  'hide_on_screen' => array(
	0 => 'excerpt',
  ),
  'active' => 1,
  'description' => '',
) );






acf_add_local_field_group( array(
  'key' => 'group_5bd83b853484d',
  'title' => 'Theme Options',
  'fields' => array(
	array(
	  'key' => 'field_5bdab1788e916',
	  'label' => 'General',
	  'name' => '',
	  'type' => 'tab',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'placement' => 'top',
	  'endpoint' => 0,
	),



	array(
	  'key' => 'field_5c36eaadbac11',
	  'label' => 'Enable Go Top',
	  'name' => 'enable_gotop',
	  'type' => 'true_false',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 1,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),


	array(
	  'key' => 'field_5c36eaadbec39',
	  'label' => 'Enable Breadcrumb',
	  'name' => 'enable_breadcrumb',
	  'type' => 'true_false',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 1,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),

  array(
	  'key' => 'field_5bfcad471bf34',
	  'label' => 'Enable Dynamic Color',
	  'name' => 'enable_dynamic_color',
	  'type' => 'true_false',
	  'instructions' => 'Enable this option to use the color option below.',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 0,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),
  array(
  'key' => 'field_5bfcac8b6ccc9',
  'label' => 'Dark Color',
  'name' => 'dark_color',
  'type' => 'color_picker',
  'instructions' => '',
  'required' => 0,
  'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bfcad471bf34',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
  'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
  ),
  'default_value' => '#000000',
  ),

  array(
  'key' => 'field_5bfcac8b6cjf3',
  'label' => 'White Text',
  'name' => 'white_text',
  'type' => 'color_picker',
  'instructions' => '',
  'required' => 0,
  'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bfcad471bf34',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
  'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
  ),
  'default_value' => '#ffffff',
  ),

  array(
  'key' => 'field_5bfcab6b6ccc7',
  'label' => 'Primary Color',
  'name' => 'theme_color1',
  'type' => 'color_picker',
  'instructions' => '',
  'required' => 0,
  'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bfcad471bf34',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
  'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
  ),
  'default_value' => '#FF6900',
  ),

  array(
  'key' => 'field_5bfcab6b6cqc3',
  'label' => 'Secondary Color',
  'name' => 'theme_color2',
  'type' => 'color_picker',
  'instructions' => '',
  'required' => 0,
  'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bfcad471bf34',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
  'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
  ),
  'default_value' => '#6328DF',
  ),
  array(
  'key' => 'field_5bfcab6b6amq1',
  'label' => 'Highlight Color',
  'name' => 'theme_color3',
  'type' => 'color_picker',
  'instructions' => '',
  'required' => 0,
  'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bfcad471bf34',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
  'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
  ),
  'default_value' => '#FF0000',
  ),

  array(
  'key' => 'field_5bfcab6b6gth8',
  'label' => 'Gray Color',
  'name' => 'theme_color4',
  'type' => 'color_picker',
  'instructions' => '',
  'required' => 0,
  'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bfcad471bf34',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
  'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
  ),
  'default_value' => '#D3D4D6',
  ),

  array(
  'key' => 'field_5bfcab6b2mvj2',
  'label' => 'Gray Light Color',
  'name' => 'theme_color5',
  'type' => 'color_picker',
  'instructions' => '',
  'required' => 0,
  'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bfcad471bf34',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
  'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
  ),
  'default_value' => '#ededed',
  ),

  array(
  'key' => 'field_5bfcab6b25jf4',
  'label' => 'Gray Lighter Color',
  'name' => 'theme_color6',
  'type' => 'color_picker',
  'instructions' => '',
  'required' => 0,
  'conditional_logic' => array(
        array(
          array(
            'field' => 'field_5bfcad471bf34',
            'operator' => '==',
            'value' => '1',
          ),
        ),
      ),
  'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
  ),
  'default_value' => '#fbfbfb',
  ),


  array(
    'key' => 'field_5bfcad471nb06',
    'label' => 'Enable Typography',
    'name' => 'enable_typography',
    'type' => 'true_false',
    'instructions' => 'Enable this option to use the Typography options below.',
    'required' => 0,
    'conditional_logic' => 0,
    'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
    ),
    'message' => '',
    'default_value' => 0,
    'ui' => 1,
    'ui_on_text' => '',
    'ui_off_text' => '',
  ),

  array(
    'key' => 'field_639f47cef1170',
    'label' => 'Select Font',
    'name' => 'select_font',
    'aria-label' => '',
    'type' => 'select',
    'instructions' => '',
    'required' => 0,
    'conditional_logic' => array(
          array(
            array(
              'field' => 'field_5bfcad471nb06',
              'operator' => '==',
              'value' => '1',
            ),
          ),
        ),
    'wrapper' => array(
      'width' => '',
      'class' => '',
      'id' => '',
    ),
  'choices' => array(
    'Axiforma' => 'Default Font',
          'Open+Sans' => 'Open Sans',
          'Roboto' => 'Roboto',
          'Montserrat' => 'Montserrat',
          'Poppins' => 'Poppins',
          'Lato' => 'Lato',
          'Oswald' => 'Oswald',
          'Raleway' => 'Raleway',
          'Nunito' => 'Nunito',
          'Playfair+Display' => 'Playfair Display',
          'Quicksand' => 'Quicksand',
          'Fira+Sans' => 'Fira Sans',
          'PT+Sans' => 'PT Sans',
          'Source+Sans+Pro' => 'Source Sans Pro',
          'Muli' => 'Muli',
          'Dosis' => 'Dosis',
          'Barlow' => 'Barlow',
          'Karla' => 'Karla',
          'Noto+Sans' => 'Noto Sans',
          'Rubik' => 'Rubik',
          'Itim' => 'Itim',
          'Exo' => 'Exo',
          'Hind' => 'Hind',
          'Arimo' => 'Arimo',
          'Titillium+Web' => 'Titillium Web',
          'Bree+Serif' => 'Bree Serif',
          'PT+Serif' => 'PT Serif',
          'Francois+One' => 'Francois One',
          'Russo+One' => 'Russo One',
          'Teko' => 'Teko',
          'Yrsa' => 'Yrsa',
          'Indie+Flower' => 'Indie Flower',
          'Cabin' => 'Cabin',
          'Abel' => 'Abel',
          'Lora' => 'Lora',
          'Merriweather' => 'Merriweather',
          'Libre+Baskerville' => 'Libre Baskerville',
          'Archivo' => 'Archivo',
          'Alegreya' => 'Alegreya',
          'Cormorant' => 'Cormorant',
          'Monda' => 'Monda',
          'Rokkitt' => 'Rokkitt',
          'Catamaran' => 'Catamaran',
          'Anton' => 'Anton',
          'Quattrocento' => 'Quattrocento',
          'Varela+Round' => 'Varela Round',
          'Work+Sans' => 'Work Sans',
          'Vollkorn' => 'Vollkorn',
          'Caveat' => 'Caveat',
          'Shadows+Into+Light' => 'Shadows Into Light',
          'Poiret+One' => 'Poiret One',
          'Mukta' => 'Mukta',
          'Lobster' => 'Lobster',
          'Bangers' => 'Bangers',
          'Baloo' => 'Baloo',
        ),
    'default_value' => false,
    'return_format' => 'value',
    'multiple' => 0,
    'allow_null' => 0,
    'ui' => 0,
    'ajax' => 0,
    'placeholder' => '',
  ),

  array(
  	  'key' => 'field_5bdac2ba59ebd',
  	  'label' => 'Body Font Size',
  	  'name' => 'body_font_size',
  		'type' => 'range',
  		'instructions' => '',
  		'required' => 0,
      'conditional_logic' => array(
            array(
              array(
                'field' => 'field_5bfcad471nb06',
                'operator' => '==',
                'value' => '1',
              ),
            ),
          ),
  		'wrapper' => array(
  		  'width' => '',
  		  'class' => '',
  		  'id' => '',
  		),
  		'default_value' => '14',
  		'min' => '8',
  		'max' => '30',
  		'step' => '',
  		'prepend' => '',
  		'append' => '',
  	),

    array(
    	  'key' => 'field_639f47cef1978',
    	  'label' => 'Body Font Line Height',
    	  'name' => 'body_font_line_heigt',
        'type' => 'range',
    		'instructions' => '',
    		'required' => 0,
        'conditional_logic' => array(
              array(
                array(
                  'field' => 'field_5bfcad471nb06',
                  'operator' => '==',
                  'value' => '1',
                ),
              ),
            ),
    		'wrapper' => array(
    		  'width' => '',
    		  'class' => '',
    		  'id' => '',
    		),
    		'default_value' => '1.6',
    		'min' => '0.5',
    		'max' => '3.6',
    		'step' => '0.1',
    		'prepend' => '',
    		'append' => '',
    	),

      array(
      	  'key' => 'field_639cf30ff4a12',
      	  'label' => 'Body Font Letter Spacing',
      	  'name' => 'body_font_letter_spacing',
          'type' => 'range',
      		'instructions' => '',
      		'required' => 0,
          'conditional_logic' => array(
                array(
                  array(
                    'field' => 'field_5bfcad471nb06',
                    'operator' => '==',
                    'value' => '1',
                  ),
                ),
              ),
      		'wrapper' => array(
      		  'width' => '',
      		  'class' => '',
      		  'id' => '',
      		),
      		'default_value' => '0',
      		'min' => '-5.0',
      		'max' => '5.0',
      		'step' => '1',
      		'prepend' => '',
      		'append' => '',
      	),





	array(
	  'key' => 'field_5bfcacef6cccb',
	  'label' => 'Header',
	  'name' => '',
	  'type' => 'tab',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'placement' => 'top',
	  'endpoint' => 0,
	),
  array(
	  'key' => 'field_5bfcad171dn94',
	  'label' => 'Display Topbar',
	  'name' => 'display_topbar',
	  'type' => 'true_false',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 1,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),
  array(
	  'key' => 'field_5bdabef576899',
	  'label' => 'Topbar Text',
	  'name' => 'topbar_text',
	  'type' => 'text',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => array(
		array(
		  array(
			'field' => 'field_5bfcad171dn94',
			'operator' => '==',
			'value' => '1',
		  ),
		),
	  ),
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => '<span>Need support ? </span> Call +0 123-456-7890 for Instant Assistance',
	  'placeholder' => '',
	  'prepend' => '',
	  'append' => '',
	  'maxlength' => '',
	),
  array(
	'key' => 'field_639cf77ff4d78',
	'label' => 'Site Logo',
	'name' => 'site_logo',
	'type' => 'group',
	'instructions' => '',
	'required' => 0,
	'conditional_logic' => 0,
	'wrapper' => array(
	  'width' => '',
	  'class' => '',
	  'id' => '',
	),
	'layout' => 'table',
	'sub_fields' => array(
	  array(
		'key' => 'field_639cf79bf4d79',
		'label' => 'Desktop Logo',
		'name' => 'desktop_logo',
		'type' => 'image',
		'instructions' => '',
		'required' => 0,
		'conditional_logic' => 0,
		'wrapper' => array(
		  'width' => '',
		  'class' => '',
		  'id' => '',
		),
		'return_format' => 'url',
		'preview_size' => 'thumbnail',
		'library' => 'all',
		'min_width' => '',
		'min_height' => '',
		'min_size' => '',
		'max_width' => '',
		'max_height' => '',
		'max_size' => '',
		'mime_types' => '',
	  ),
	  array(
		'key' => 'field_639cf7b0f4d7b',
		'label' => 'Logo Height',
		'name' => 'desktop_logo_height',
		'type' => 'range',
		'instructions' => '',
		'required' => 0,
		'conditional_logic' => 0,
		'wrapper' => array(
		  'width' => '',
		  'class' => '',
		  'id' => '',
		),
		'default_value' => '50',
		'min' => '20',
		'max' => '200',
		'step' => '',
		'prepend' => '',
		'append' => '',
	  ),
	  array(
		'key' => 'field_639cf79bf4d73',
		'label' => 'Mobile Logo',
		'name' => 'mobile_logo',
		'type' => 'image',
		'instructions' => '',
		'required' => 0,
		'conditional_logic' => 0,
		'wrapper' => array(
		  'width' => '',
		  'class' => '',
		  'id' => '',
		),
		'return_format' => 'url',
		'preview_size' => 'thumbnail',
		'library' => 'all',
		'min_width' => '',
		'min_height' => '',
		'min_size' => '',
		'max_width' => '',
		'max_height' => '',
		'max_size' => '',
		'mime_types' => '',
	  ),
	  array(
		'key' => 'field_639cf7b0f4d7a',
		'label' => 'Mobile Logo Height',
		'name' => 'mobile_logo_height',
		'type' => 'range',
		'instructions' => '',
		'required' => 0,
		'conditional_logic' => 0,
		'wrapper' => array(
		  'width' => '',
		  'class' => '',
		  'id' => '',
		),
		'default_value' => '50',
		'min' => '20',
		'max' => '200',
		'step' => '',
		'prepend' => '',
		'append' => '',
	  ),
	  ),
	  ),
    array(
  	  'key' => 'field_5bfcad173jd20',
  	  'label' => 'Display Search',
  	  'name' => 'display_search',
  	  'type' => 'true_false',
  	  'required' => 0,
  	  'conditional_logic' => 0,
  	  'wrapper' => array(
  		'width' => '',
  		'class' => '',
  		'id' => '',
  	  ),
  	  'message' => '',
  	  'default_value' => 1,
  	  'ui' => 1,
  	  'ui_on_text' => '',
  	  'ui_off_text' => '',
  	),
    array(
  	  'key' => 'field_5bfcad171mv85',
  	  'label' => 'Display Wishlist',
  	  'name' => 'display_wishlist',
  	  'type' => 'true_false',
  	  'required' => 0,
  	  'conditional_logic' => 0,
  	  'wrapper' => array(
  		'width' => '',
  		'class' => '',
  		'id' => '',
  	  ),
  	  'message' => '',
  	  'default_value' => 1,
  	  'ui' => 1,
  	  'ui_on_text' => '',
  	  'ui_off_text' => '',
  	),

    array(
  	  'key' => 'field_5bfcad173lt75',
  	  'label' => 'Display Account',
  	  'name' => 'display_account',
  	  'type' => 'true_false',
  	  'required' => 0,
  	  'conditional_logic' => 0,
  	  'wrapper' => array(
  		'width' => '',
  		'class' => '',
  		'id' => '',
  	  ),
  	  'message' => '',
  	  'default_value' => 1,
  	  'ui' => 1,
  	  'ui_on_text' => '',
  	  'ui_off_text' => '',
  	),

    array(
  	  'key' => 'field_5bfcad864lt23',
  	  'label' => 'Display Bag',
  	  'name' => 'display_bag',
  	  'type' => 'true_false',
  	  'required' => 0,
  	  'conditional_logic' => 0,
  	  'wrapper' => array(
  		'width' => '',
  		'class' => '',
  		'id' => '',
  	  ),
  	  'message' => '',
  	  'default_value' => 1,
  	  'ui' => 1,
  	  'ui_on_text' => '',
  	  'ui_off_text' => '',
  	),





    array(
  	  'key' => 'field_5bec47c30e8ff',
  	  'label' => 'Archive',
  	  'name' => '',
  	  'type' => 'tab',
  	  'instructions' => '',
  	  'required' => 0,
  	  'conditional_logic' => 0,
  	  'wrapper' => array(
  		'width' => '',
  		'class' => '',
  		'id' => '',
  	  ),
  	  'placement' => 'top',
  	  'endpoint' => 0,
  	),
  	array(
  	  'key' => 'field_5bfcad471cm47',
  	  'label' => 'Display Page Header',
  	  'name' => 'display_page_header_archive',
  	  'type' => 'true_false',
  	  'required' => 0,
  	  'conditional_logic' => 0,
  	  'wrapper' => array(
  		'width' => '',
  		'class' => '',
  		'id' => '',
  	  ),
  	  'message' => '',
  	  'default_value' => 0,
  	  'ui' => 1,
  	  'ui_on_text' => '',
  	  'ui_off_text' => '',
  	),
  	array(
  	  'key' => 'field_5bf1461484d64',
  	  'label' => 'Archive Title',
  	  'name' => 'archive_title',
  	  'type' => 'text',
  	  'instructions' => '',
  	  'required' => 0,
      'conditional_logic' => array(
    	  array(
    		array(
    		  'field' => 'field_5bfcad471cm47',
    		  'operator' => '==',
    		  'value' => '1',
    		),
    	  ),
    	),
  	  'wrapper' => array(
  		'width' => '',
  		'class' => '',
  		'id' => '',
  	  ),
  	  'default_value' => 'Blog',
  	  'placeholder' => '',
  	  'prepend' => '',
  	  'append' => '',
  	  'maxlength' => '',
  	),


  	array(
  	  'key' => 'field_5bf530cc616ef',
  	  'label' => 'Show Sidebar',
  	  'name' => 'archive_show_sidebar',
  	  'type' => 'select',
  	  'instructions' => '',
  	  'required' => 0,
  	  'conditional_logic' => 0,
  	  'wrapper' => array(
  		'width' => '',
  		'class' => '',
  		'id' => '',
  	  ),
  	  'choices' => array(
  		'yes' => 'Yes',
  		'no' => 'No',
  	  ),
  	  'default_value' => array(
  		0 => 'yes',
  	  ),
  	  'allow_null' => 0,
  	  'multiple' => 0,
  	  'ui' => 0,
  	  'return_format' => 'value',
  	  'ajax' => 0,
  	  'placeholder' => '',
  	),

    array(
      'key' => 'field_5bfchg756ha12',
      'label' => 'Display Post Date',
      'name' => 'display_post_date',
      'type' => 'true_false',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
      'width' => '',
      'class' => '',
      'id' => '',
      ),
      'message' => '',
      'default_value' => 1,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),

    array(
      'key' => 'field_5bfcad754hd56',
      'label' => 'Display Post Author',
      'name' => 'display_post_author',
      'type' => 'true_false',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
      'width' => '',
      'class' => '',
      'id' => '',
      ),
      'message' => '',
      'default_value' => 1,
      'ui' => 1,
      'ui_on_text' => '',
      'ui_off_text' => '',
    ),

    array(
  	  'key' => 'field_5bfcad463cm47',
  	  'label' => 'Display Post Excerpt',
  	  'name' => 'display_post_excerpt',
  	  'type' => 'true_false',
  	  'required' => 0,
  	  'conditional_logic' => 0,
  	  'wrapper' => array(
  		'width' => '',
  		'class' => '',
  		'id' => '',
  	  ),
  	  'message' => '',
  	  'default_value' => 1,
  	  'ui' => 1,
  	  'ui_on_text' => '',
  	  'ui_off_text' => '',
  	),

  	  array(
  	  'key' => 'field_5bf1461484d07',
  	  'label' => 'Read More Label',
  	  'name' => 'read_more_label',
  	  'type' => 'text',
  	  'instructions' => '',
  	  'required' => 0,
  	  'conditional_logic' => 0,
  	  'wrapper' => array(
  		'width' => '',
  		'class' => '',
  		'id' => '',
  	  ),
  	  'default_value' => 'Continue reading',
  	  'placeholder' => '',
  	  'prepend' => '',
  	  'append' => '',
  	  'maxlength' => '',
  	),




	array(
	  'key' => 'field_5bd83ba82c94c',
	  'label' => 'Single Post',
	  'name' => '',
	  'type' => 'tab',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'placement' => 'top',
	  'endpoint' => 0,
	),

  array(
    'key' => 'field_5bfcad471la54',
    'label' => 'Display Page Header',
    'name' => 'display_page_header_single',
    'type' => 'true_false',
    'required' => 0,
    'conditional_logic' => 0,
    'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
    ),
    'message' => '',
    'default_value' => 0,
    'ui' => 1,
    'ui_on_text' => '',
    'ui_off_text' => '',
  ),

  array(
    'key' => 'field_5bec47ff0e259',
    'label' => 'Display Post Navigation',
    'name' => 'display_post_navigation',
    'type' => 'true_false',
    'required' => 0,
    'conditional_logic' => 0,
    'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
    ),
    'message' => '',
    'default_value' => 1,
    'ui' => 1,
    'ui_on_text' => '',
    'ui_off_text' => '',
  ),


  array(
     'key' => 'field_5bec47ff0e174',
    'label' => 'Show Sidebar',
    'name' => 'single_show_sidebar',
    'type' => 'select',
    'instructions' => '',
    'required' => 0,
    'conditional_logic' => 0,
    'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
    ),
    'choices' => array(
    'yes' => 'Yes',
    'no' => 'No',
    ),
    'default_value' => array(
    0 => 'yes',
    ),
    'allow_null' => 0,
    'multiple' => 0,
    'ui' => 0,
    'return_format' => 'value',
    'ajax' => 0,
    'placeholder' => '',
  ),





	  array(
		'key' => 'field_5bec47c30e1ae',
		'label' => 'Product Archive',
		'name' => '',
		'type' => 'tab',
		'instructions' => '',
		'required' => 0,
		'conditional_logic' => 0,
		'wrapper' => array(
		  'width' => '',
		  'class' => '',
		  'id' => '',
		),
		'placement' => 'top',
		'endpoint' => 0,
	  ),
    array(
  	  'key' => 'field_5bfcad471hg23',
  	  'label' => 'Display Page Header',
  	  'name' => 'display_page_header_product_archive',
  	  'type' => 'true_false',
  	  'required' => 0,
  	  'conditional_logic' => 0,
  	  'wrapper' => array(
  		'width' => '',
  		'class' => '',
  		'id' => '',
  	  ),
  	  'message' => '',
  	  'default_value' => 1,
  	  'ui' => 1,
  	  'ui_on_text' => '',
  	  'ui_off_text' => '',
  	),


	array(
	  'key' => 'field_5bfcad412aq75',
	  'label' => 'Display Product Filter',
	  'name' => 'display_product_filter',
	  'type' => 'true_false',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 1,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),

  array(
     'key' => 'field_5bec47ff0e817',
    'label' => 'Select Product Columns',
    'name' => 'select_product_columns',
    'type' => 'select',
    'instructions' => '',
    'required' => 0,
    'conditional_logic' => 0,
    'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
    ),
    'choices' => array(
    '2' => '2 Columns',
    '3' => '3 Columns',
    '4' => '4 Columns',
    '5' => '5 Columns',
    ),
    'default_value' => array(
    '3' => '3 Columns',
    ),
    'allow_null' => 0,
    'multiple' => 0,
    'ui' => 0,
    'return_format' => 'value',
    'ajax' => 0,
    'placeholder' => '',
  ),



	array(
	  'key' => 'field_5bec47ff0e300',
	  'label' => 'Text Color',
	  'name' => 'notification_text_color',
	  'type' => 'color_picker',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => '',
	),


  array(
  'key' => 'field_5bec47c30a6nb',
  'label' => 'Product',
  'name' => '',
  'type' => 'tab',
  'instructions' => '',
  'required' => 0,
  'conditional_logic' => 0,
  'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
  ),
  'placement' => 'top',
  'endpoint' => 0,
  ),
  array(
  'key' => 'field_5bf1461484a80',
  'label' => 'Search Placeholder',
  'name' => 'search_placeholder',
  'type' => 'text',
  'instructions' => '',
  'required' => 0,
  'conditional_logic' => 0,
  'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
  ),
  'default_value' => 'Search',
  'placeholder' => '',
  'prepend' => '',
  'append' => '',
  'maxlength' => '',
  ),
  array(
  'key' => 'field_639cf79bf4d7c',
  'label' => 'Related Products Title',
  'name' => 'related_products_title',
  'type' => 'text',
  'instructions' => '',
  'required' => 0,
  'conditional_logic' => 0,
  'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
  ),
  'default_value' => 'Products Similar to This',
  'placeholder' => '',
  'prepend' => '',
  'append' => '',
  'maxlength' => '',
  ),

  array(
    'key' => 'field_5bdabef576649',
    'label' => 'Related Products Subtitle',
    'name' => 'related_products_subtitle',
    'type' => 'text',
    'instructions' => '',
    'required' => 0,
    'conditional_logic' => 0,
    'wrapper' => array(
      'width' => '',
      'class' => '',
      'id' => '',
    ),
    'default_value' => 'Discover Similar Products You Might Enjoy',
    'placeholder' => '',
    'prepend' => '',
    'append' => '',
    'maxlength' => '',
    ),
    array(
      'key' => 'field_5bfcad471dq73',
    'label' => 'Upsell Products Title',
    'name' => 'upsell_products_title',
    'type' => 'text',
    'instructions' => '',
    'required' => 0,
    'conditional_logic' => 0,
    'wrapper' => array(
      'width' => '',
      'class' => '',
      'id' => '',
    ),
    'default_value' => 'Products Combine with This',
    'placeholder' => '',
    'prepend' => '',
    'append' => '',
    'maxlength' => '',
    ),

    array(
      'key' => 'field_639cf77ff2d01',
      'label' => 'Upsell Products Subtitle',
      'name' => 'upsell_products_subtitle',
      'type' => 'text',
      'instructions' => '',
      'required' => 0,
      'conditional_logic' => 0,
      'wrapper' => array(
        'width' => '',
        'class' => '',
        'id' => '',
      ),
      'default_value' => 'Complete Your Look with These Upsell Products',
      'placeholder' => '',
      'prepend' => '',
      'append' => '',
      'maxlength' => '',
      ),


	array(
	  'key' => 'field_5bf3b83f1fd03',
	  'label' => 'Page 404',
	  'name' => '',
	  'type' => 'tab',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'placement' => 'top',
	  'endpoint' => 0,
	),

	array(
	  'key' => 'field_5c5b1aac734lm',
	  'label' => 'Error Page Text',
	  'name' => 'error_page_text',
	  'type' => 'text',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => 'It looks like nothing was found at this location. Maybe try one of the links below or a search?',
	  'placeholder' => '',
	  'maxlength' => '',
	  'rows' => '',
	  'new_lines' => '',
	),
	array(
	  'key' => 'field_5c76219fed131',
	  'label' => 'Error Page Image',
	  'name' => 'error_page_image',
	  'type' => 'image',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'return_format' => 'url',
	  'preview_size' => 'thumbnail',
	  'library' => 'all',
	  'min_width' => '',
	  'min_height' => '',
	  'min_size' => '',
	  'max_width' => '',
	  'max_height' => '',
	  'max_size' => '',
	  'mime_types' => '',
	),



	array(
	  'key' => 'field_5c80bc64bq11a',
	  'label' => 'Enable Search Form',
	  'name' => 'enable_search_form',
	  'type' => 'true_false',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 0,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),


	array(
	  'key' => 'field_5bf3ba0a531c5',
	  'label' => 'Search',
	  'name' => '',
	  'type' => 'tab',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'placement' => 'top',
	  'endpoint' => 0,
	),
  array(
  'key' => 'field_5bfcad471av20',
  'label' => 'Display Page Header',
  'name' => 'display_page_header_product_search',
  'type' => 'true_false',
  'required' => 0,
  'conditional_logic' => 0,
  'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
  ),
  'message' => '',
  'default_value' => 1,
  'ui' => 1,
  'ui_on_text' => '',
  'ui_off_text' => '',
  ),
	array(
	  'key' => 'field_5bf1461484a87',
	  'label' => 'Page Title',
	  'name' => 'search_page_title',
	  'type' => 'text',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => 'Search Results',
	  'placeholder' => '',
	  'prepend' => '',
	  'append' => '',
	  'maxlength' => '',
	),

  array(
    'key' => 'field_639cf77ff2d72',
    'label' => 'Show Sidebar',
    'name' => 'search_show_sidebar',
    'type' => 'select',
    'instructions' => '',
    'required' => 0,
    'conditional_logic' => 0,
    'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
    ),
    'choices' => array(
    'yes' => 'Yes',
    'no' => 'No',
    ),
    'default_value' => array(
    0 => 'yes',
    ),
    'allow_null' => 0,
    'multiple' => 0,
    'ui' => 0,
    'return_format' => 'value',
    'ajax' => 0,
    'placeholder' => '',
  ),



	array(
	  'key' => 'field_5bf0e6e3dbc67',
	  'label' => 'Footer',
	  'name' => '',
	  'type' => 'tab',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'placement' => 'top',
	  'endpoint' => 0,
	),
	array(
	  'key' => 'field_5a82bc64bq23m',
	  'label' => 'Enable Footer Icon Bar',
	  'name' => 'enable_footer_icon_bar',
	  'type' => 'true_false',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'message' => '',
	  'default_value' => 0,
	  'ui' => 1,
	  'ui_on_text' => '',
	  'ui_off_text' => '',
	),
	array(
		'key' => 'field_5e3ff486e00bb',
		'label' => 'Icon Box',
		'name' => 'icon_box',
		'type' => 'repeater',
		'instructions' => '',
		'required' => 0,
		'conditional_logic' => array(
			array(
				array(
					'field' => 'field_5a82bc64bq23m',
					'operator' => '==',
					'value' => '1',
				),
			),
		),
		'wrapper' => array(
			'width' => '',
			'class' => '',
			'id' => '',
		),
		'collapsed' => 'field_5e3ff496e00bc',
		'min' => 0,
		'max' => 0,
		'layout' => 'row',
		'button_label' => '',
		'sub_fields' => array(
			array(
				'key' => 'field_5e3ff496e00bc',
				'label' => 'Icon',
				'name' => 'footer_bar_icon',
				'type' => 'image',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
				  'width' => '',
				  'class' => '',
				  'id' => '',
				),
				'return_format' => 'url',
				'preview_size' => 'thumbnail',
				'library' => 'all',
				'min_width' => '',
				'min_height' => '',
				'min_size' => '',
				'max_width' => '',
				'max_height' => '',
				'max_size' => '',
				'mime_types' => '',
			),
			array(
				'key' => 'field_5e3ff4a0e00bd',
				'label' => 'Text',
				'name' => 'footer_bar_text',
				'type' => 'text',
				'instructions' => '',
				'required' => 0,
				'conditional_logic' => 0,
				'wrapper' => array(
					'width' => '',
					'class' => '',
					'id' => '',
				),
				'default_value' => '',
				'placeholder' => '',
				'prepend' => '',
				'append' => '',
				'maxlength' => '',
			),

		),
	),


	array(
	  'key' => 'field_5e3e82f24262c',
	  'label' => 'Footer BG Color',
	  'name' => 'footer_bg_color',
	  'type' => 'color_picker',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => '',
	),
	array(
	  'key' => 'field_5e3e841bfcf70',
	  'label' => 'Footer BG Image',
	  'name' => 'footer_bg_image',
	  'type' => 'image',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'return_format' => 'url',
	  'preview_size' => 'thumbnail',
	  'library' => 'all',
	  'min_width' => '',
	  'min_height' => '',
	  'min_size' => '',
	  'max_width' => '',
	  'max_height' => '',
	  'max_size' => '',
	  'mime_types' => '',
	),
	array(
	  'key' => 'field_5e3e82f29563m',
	  'label' => 'Footer Content Color',
	  'name' => 'footer_content_color',
	  'type' => 'color_picker',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => '',
	),

  array(
    'key' => 'field_5e3e82f74502d',
    'label' => 'Bottom Bar Icons',
    'name' => 'bottom_bar_icons',
    'type' => 'gallery',
    'instructions' => '',
    'required' => 0,
    'conditional_logic' => 0,
    'wrapper' => array(
    'width' => '',
    'class' => '',
    'id' => '',
    ),
    'default_value' => '',
  ),

	array(
	  'key' => 'field_5bf0e9d393810',
	  'label' => 'Copyright Text',
	  'name' => 'footer_copyright_text',
	  'type' => 'text',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => 'Skolka | A Contemporary E-Commerce Theme',
	  'placeholder' => '',
	  'prepend' => '',
	  'append' => '',
	  'maxlength' => '',
	),

	array(
	  'key' => 'field_5bf0e9d393811',
	  'label' => 'Creation',
	  'name' => 'footer_creation',
	  'type' => 'text',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => 'Site created by',
	  'placeholder' => '',
	  'prepend' => '',
	  'append' => '',
	  'maxlength' => '',
	),
	array(
	  'key' => 'field_5bf0e9d393812',
	  'label' => 'Creation Link Label',
	  'name' => 'footer_creation_link_label',
	  'type' => 'text',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => 'themezinho',
	  'placeholder' => '',
	  'prepend' => '',
	  'append' => '',
	  'maxlength' => '',
	),
	array(
	  'key' => 'field_5bf0e9d393813',
	  'label' => 'Creation Link URL',
	  'name' => 'footer_creation_link_url',
	  'type' => 'text',
	  'instructions' => '',
	  'required' => 0,
	  'conditional_logic' => 0,
	  'wrapper' => array(
		'width' => '',
		'class' => '',
		'id' => '',
	  ),
	  'default_value' => 'https://themezinho.net',
	  'placeholder' => '',
	  'prepend' => '',
	  'append' => '',
	  'maxlength' => '',
	),

  ),
  'location' => array(
	array(
	  array(
		'param' => 'options_page',
		'operator' => '==',
		'value' => 'theme-options',
	  ),
	),
  ),
  'menu_order' => 0,
  'position' => 'normal',
  'style' => 'default',
  'label_placement' => 'left',
  'instruction_placement' => 'field',
  'hide_on_screen' => '',
  'active' => 1,
  'description' => '',
) );

endif;

if ( function_exists('acf_add_local_field_group') ) :

acf_add_local_field_group(array(
	'key' => 'group_639d9a7c00e31',
	'title' => 'Product Category Slider',
	'fields' => array(
		array(
			'key' => 'field_639d9aadda7a1',
			'label' => 'Category Slider',
			'name' => 'category_slider',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 0,
			'layout' => 'table',
			'button_label' => '',
			'sub_fields' => array(
				array(
					'key' => 'field_639d9b29d8120',
					'label' => 'Slide Image',
					'name' => 'slide_image',
					'type' => 'image',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '',
						'class' => '',
						'id' => '',
					),
					'return_format' => 'array',
					'preview_size' => '',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
			),
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'taxonomy',
				'operator' => '==',
				'value' => 'product_cat',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => true,
	'description' => '',
	'show_in_rest' => 0,
));

endif;
